@import url('https://fonts.cdnfonts.com/css/ibm-plex-sans');

:root {
    --ifm-color-primary: #006df8;
    --ifm-color-primary-dark: #0062df;
    --ifm-color-primary-darker: #005dd3;
    --ifm-color-primary-darkest: #004cae;
    --ifm-color-primary-light: #127aff;
    --ifm-color-primary-lighter: #1e81ff;
    --ifm-color-primary-lightest: #4396ff;
    --ifm-font-family-base: 'IBM Plex Sans', sans-serif;
    --ifm-color-secondary: #006df8;
    --ifm-global-radius: 0;
}

[data-theme='dark'] {
    --ifm-color-primary: #006df8;
    --ifm-color-primary-dark: #0062df;
    --ifm-color-primary-darker: #005dd3;
    --ifm-color-primary-darkest: #004cae;
    --ifm-color-primary-light: #127aff;
    --ifm-color-primary-lighter: #1e81ff;
    --ifm-color-primary-lightest: #4396ff;
    --ifm-font-family-base: 'IBM Plex Sans', sans-serif;
    --ifm-global-radius: 0;
}

@media screen and (max-width: 996px) {
    :root {
        --ifm-font-size-base: 1.2rem
    }

    article header h1 {
        font-size: 1.5rem !important;
    }

    .hero .hero__title {
        font-size: 2.5rem;
    }

    .table-of-contents {
        font-size: 1.3rem;
    }
}

@media screen and (min-width: 997px) {
    :root {
        --ifm-font-size-base: 1.1rem;
    }

    article header h1 {
        font-size: 2rem !important;
    }

    .table-of-contents {
        font-size: 1.2rem;
    }

    /* Show inline table of contents on mobile only */
    div[class^='tableOfContentsInline'] {
        display: none;
    }
}

div[class^='announcementBarContent'] {
    background-color: var(--ifm-background-surface-color);
    color: var(--ifm-font-color-base);
}

div[class^='announcementBarContent'] a {
    color: var(--ifm-link-color);
    text-decoration: inherit;
}

div[class^='announcementBarContent'] a:hover {
    color: var(--ifm-link-color);
    text-decoration: underline;
}

.navbar .navbar__logo {
    margin-right: 2rem;
}

.navbar .navbar__items {
    flex: auto;
}

/* Header Dropdown Menu */
.dropdown__link {
    font-size: inherit;
}

/* Remove shadow on the left */
:root {
    --ifm-global-shadow-md: 0px;
}

.hero--primary {
    background-image: url("/img/home_page_bg.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}
